# IRdMeshSelectionDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | ClearSelection ()
HRESULT | SelectVertex ([in]RtUlong uVertexIndex,[in] RtFloat fWeight)
HRESULT | DeselectVertex ([in]RtUlong uVertexIndex)
HRESULT | GetNumSelectedVertices ([out, retval]RtUlong *pCount)
HRESULT | GetSelectedVertexIndex ([in] RtUlong uIndex,[out, retval]RtUlong *pdwIndex)
HRESULT | GetSelectedVertexWeight ([in] RtUlong uIndex,[out, retval]RtFloat *pfWeight)
HRESULT | DeselectVertices ()
HRESULT | SelectEdge ([in]RtUlong uTriangleIndex,[in] RtUlong uEdgeIndex)
HRESULT | DeselectEdge ([in]RtUlong uTriangleIndex,[in] RtUlong uEdgeIndex)
HRESULT | GetNumSelectedEdges ([out, retval]RtUlong *pCount)
HRESULT | GetSelectedEdge ([in] RtUlong uIndex,[out, retval] RtUlong *pdwEdgeIndex)
HRESULT | DeselectEdges ()
HRESULT | SelectTriangle ([in]RtUlong uTriangleIndex)
HRESULT | DeselectTriangle ([in]RtUlong uTriangleIndex)
HRESULT | GetNumSelectedTriangles ([out, retval]RtUlong *pCount)
HRESULT | GetSelectedTriangle ([in] RtUlong uIndex,[out, retval]RtUlong *pdwSel)
HRESULT | DeselectTriangles ()
HRESULT | SelectFaceTriangle ([in]RtUlong uTriangleIndex)
HRESULT | DeselectFaceTriangle ([in]RtUlong uTriangleIndex)
HRESULT | GetNumSelectedFaceTriangles ([out, retval]RtUlong *pCount)
HRESULT | GetSelectedFaceTriangle ([in] RtUlong uIndex,[out]RtUlong *pSel)
HRESULT | DeselectFaceTriangles ()
HRESULT | Sort ()

## Detailed Description

IRdMeshSelectionDisp defines scriptable interface for IRdMeshSelection data object.

## Member Function Documentation

HRESULT IRdMeshSelectionDisp::ClearSelection | ( |  | ) |

Clear selection object

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::SelectVertex | ( | [in] RtUlong | uVertexIndex,
|  | [in] RtFloat | fWeight |
| ) |  |  |

Add vertex to selection

Parameters:

  | uVertexIndex | Vertex index to select
  | fWeight | Vertex selection weight

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectVertex | ( | [in] RtUlong | uVertexIndex | ) |

Remove vertex from selection

Parameters:

  | uVertexIndex | Vertex to remove from selection

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetNumSelectedVertices | ( | [out, retval] RtUlong * | pCount | ) |

Return number of selected vertices

Parameters:

  | pCount | number of selected vertices

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetSelectedVertexIndex | ( | [in] RtUlong | uIndex,
|  | [out, retval] RtUlong * | pdwIndex |
| ) |  |  |

Get selected vertex index

Parameters:

  | uIndex | Selected vertex index
  | pdwIndex | selected vertex index

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetSelectedVertexWeight | ( | [in] RtUlong | uIndex,
|  | [out, retval] RtFloat * | pfWeight |
| ) |  |  |

Get selected vertex weight

Parameters:

  | uIndex | Selected vertex index
  | pfWeight | selected vertex weight

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectVertices | ( |  | ) |

De-select all vertices

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::SelectEdge | ( | [in] RtUlong | uTriangleIndex,
|  | [in] RtUlong | uEdgeIndex |
| ) |  |  |

Add edge to selection. Edge weight is set to 1.

Parameters:

  | uTriangleIndex | triangle index
  | uEdgeIndex | edge index. 0=edge 1,2; 1=edge 2,3; 2 = edge 3,1

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectEdge | ( | [in] RtUlong | uTriangleIndex,
|  | [in] RtUlong | uEdgeIndex |
| ) |  |  |

Remove edge from selection

Parameters:

  | uTriangleIndex | Triangle index
  | uEdgeIndex | Edge index

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetNumSelectedEdges | ( | [out, retval] RtUlong * | pCount | ) |

Return number of selected edges

Parameters:

  | pCount | Number of selected edges

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetSelectedEdge | ( | [in] RtUlong | uIndex,
|  | [out, retval] RtUlong * | pdwEdgeIndex |
| ) |  |  |

Return selected edge

Parameters:

  | uIndex | Selected edge index
  | pdwEdgeIndex | Selected triangle*3 + edge index. triangle index = pdwEdgeIndex / 3, edge index = pdwEdgeIndex % 3

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectEdges | ( |  | ) |

De-select all edges

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::SelectTriangle | ( | [in] RtUlong | uTriangleIndex | ) |

Add triangle to selection.

Parameters:

  | uTriangleIndex | triangle to select
  | fWeight | triangle weight

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectTriangle | ( | [in] RtUlong | uTriangleIndex | ) |

Remove triangle from selection.

Parameters:

  | uTriangleIndex | triangle to remove from selection

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetNumSelectedTriangles | ( | [out, retval] RtUlong * | pCount | ) |

Return number of selected triangles

Parameters:

  | pCount | triangle count

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetSelectedTriangle | ( | [in] RtUlong | uIndex,
|  | [out, retval] RtUlong * | pdwSel |
| ) |  |  |

Get selected triangle

Parameters:

  | uTriangleIndex | selected triangle index
  | pdwSel | Triangle selection structure

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectTriangles | ( |  | ) |

De-select all triangles

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::SelectFaceTriangle | ( | [in] RtUlong | uTriangleIndex | ) |

Add triangle to selection.

Parameters:

  | uTriangleIndex | triangle to select

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectFaceTriangle | ( | [in] RtUlong | uTriangleIndex | ) |

Remove face triangle from selection

Parameters:

  | uTriangleIndex | face triangle index

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetNumSelectedFaceTriangles | ( | [out, retval] RtUlong * | pCount | ) |

Return number of selected face triangles

Parameters:

  | pCount | Number of selected face triangles

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::GetSelectedFaceTriangle | ( | [in] RtUlong | uIndex,
|  | [out] RtUlong * | pSel |
| ) |  |  |

Get selected face triangle

Parameters:

  | uIndex | face triangle index
  | pSel | face-triangle index

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::DeselectFaceTriangles | ( |  | ) |

Remove all selected face triangles from selection

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdMeshSelectionDisp::Sort | ( |  | ) |

Sort selection. Use when adding selection elements out of order.

Returns:
  standard HRESULT processing can be applied to returned value